﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Collections;
using System.IO;

namespace IDEControls
{
    public partial class TabsWindowControl : UserControl
    {
        public TabControl GetTabs()
        {
            return this.tabsWindow;
        }
        private int i = 0;
        public TabsWindowControl()
        {
            InitializeComponent();

            initialiseTabbedControl();
        }

        private void initialiseTabbedControl()
        {
            newTab();
        }

        public CodingTabPage getCurrentlySelectedTab()
        {
            return (CodingTabPage) tabsWindow.SelectedTab;
        }

        public void newTab()
        {
            CodingTabPage newTabPage = new CodingTabPage(++i);
            this.tabsWindow.Controls.Add(newTabPage);
            this.tabsWindow.SelectedTab = newTabPage;
        }
        public void loadFileTab(string fileName)
        {
            string code = File.ReadAllText(fileName);
            CodingTabPage loadingTab = new CodingTabPage(fileName, code);
            this.tabsWindow.Controls.Add(loadingTab);
            this.tabsWindow.SelectedTab = loadingTab;
        }

        public void CloseCurrentTab()
        {
            this.tabsWindow.Controls.Remove(tabsWindow.SelectedTab);
            if (tabsWindow.Controls.Count == 0)
            {
                newTab();
            }
        }

        public void saveFileCurrentTab(CodingTabPage tp, string location)
        {
            DevControl dc = tp.getDevControl();
            string code = dc.GetCode();
            File.WriteAllText(location, code);
        }
    }
}
